=== tools/linux/lmap/log/CMakeLists.txt ===
add_definitions(-std=c99 -Wall -Wextra -ggdb)
add_library(log log.c)
