=== debian/changelog ===
rekall (1.6.0+dfsg-2) unstable; urgency=medium

  * Initialize patches for use with patch-queue.
  * Fix strict versioned dependencies in setup.py.
    Closes: #856926

 -- Sascha Steinbiss <satta@debian.org>  Tue, 14 Mar 2017 12:27:00 +0100

rekall (1.6.0+dfsg-1) unstable; urgency=low

  [ Hilko Bengen and Sascha Steinbiss ]
  * Initial release (Closes: #838839)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Dec 2016 15:37:45 +0000
