=== debian/control ===
Source: rekall
Section: python
Priority: extra
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all,
 python-aff4,
 python-acora,
 python-arrow,
 python-artifacts,
 python-capstone,
 python-crypto,
 python-cryptography,
 python-efilter,
 python-filelock,
 python-html5lib,
 python-httplib2,
 python-intervaltree,
 python-ipaddr,
 python-ipython (>= 5.0.0),
 python-mock,
 python-oauth2client,
 python-pathlib,
 python-portpicker,
 python-psutil,
 python-pyelftools,
 python-requests,
 python-setuptools,
 python-sparqlwrapper,
 python-tsk,
 python-wheel,
 python-yaml,
 python-yara
Standards-Version: 3.9.8
Homepage: http://www.rekall-forensic.com/
Vcs-Git: https://anonscm.debian.org/git/forensics/rekall.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/rekall.git

Package: python-rekall-core
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-artifacts,
 python-aff4,
 python-yaml,
 python-acora,
 python-arrow,
 python-efilter,
 python-html5lib,
 python-intervaltree,
 python-crypto,
 python-pyelftools,
 python-pyparsing,
 python-tz,
 python-psutil,
 python-capstone,
 python-yara,
 python-sortedcontainers,
 python-sparqlwrapper,
 python-tsk,
 python-ipaddr,
 cabextract
Description: memory analysis and incident response framework -- core Python modules
 This package contains Python 2 modules for rekall, a collection of
 tools for the extraction and analysis of digital artifacts computer
 systems.

#Package: python-rekall-agent
#Architecture: all
#Depends: ${python:Depends}, ${misc:Depends},
# python-rekall-core (= ${binary:Version}),
# python-requests,
# python-httplib2,
# python-html5lib,
# python-oauth2client,
# python-crypto,
# python-cryptography,
# python-filelock,
# python-pathlib,
# python-portpicker
#Description: memory analysis and incident response framework -- DFIR agent component
# This package contains Python 2 modules for rekall, a collection of
# tools for the extraction and analysis of digital artifacts computer
# systems.

Package: rekall-core
Architecture: all
Section: utils
Depends: ${python:Depends}, ${misc:Depends},
 python-rekall-core (= ${binary:Version}),
 python-ipython (>= 5.0.0)
Description: memory analysis and incident response framework
 The Rekall Framework is a completely open collection of tools for the
 extraction and analysis of digital artifacts computer systems.
 .
 Rekall supports investigations of the following 32bit and 64bit memory
 images:
 .
  - Microsoft Windows XP Service Pack 2 and 3
  - Microsoft Windows 7 Service Pack 0 and 1
  - Microsoft Windows 8 and 8.1
  - Microsoft Windows 10
  - Linux Kernels 2.6.24 to 4.4.
  - OSX 10.7-10.12.x.
 .
 Rekall also provides a complete memory sample acquisition capability
 for all major operating systems.
