=== debian/tests/control ===
Tests: linux-image-tests
Depends: @, xz-utils
Restrictions: allow-stderr
