## rekall 1.7.2~rc1+git20190104+dfsg

=== debian/changelog ===
rekall (1.7.2~rc1+git20190104+dfsg-2) unstable; urgency=medium

  * Team upload
  * Wrap too long line in extended description of python3-rekall-lib
  * Add python3-pkg-resources to dependencies
  * Add python3-sparqlwrapper to dependencies

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 26 Dec 2019 15:19:12 +0100

rekall (1.7.2~rc1+git20190104+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Sascha Steinbiss ]
  * New upstream version 1.7.1+dfsg

  [ Sophie Brun ]
  * Add new Excluded-files (*.exe)
  * New upstream version 1.7.2~rc1+git20190104+dfsg
  * Update debian/copyright
  * Switch to Python 3 (Closes: #927135, #938348)
  * Add new binary package debian/python3-rekall-lib
  * Use debhelper-compat 12
  * Update (build-)dependencies for new upstream version
  * Bump Standards-Version to 4.4.0
  * Update version in debian/rules for manpages build
  * Remove 0003-fix-module-paths.patch
  * Add a patch change-pycryptodome.patch: use pycryptodomex in requirements
    to fix issue with pkg_resources
  * Add a patch use-python-module-ipaddress.patch to use Python3 module
    ipaddress
  * Install and use rekall-efilter: an usptream customized Python module
    efilter for rekall.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.4.1
  * Fixes for python3-rekall-agent binary package (currently not built)
  * Disable parts related to python3-rekall-agent
  * Upload to experimental to help go through binary-NEW while giving some
    time for others to test this update.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 18 Oct 2019 15:34:55 +0200

rekall (1.6.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>. Closes: #934691
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Replace priority extra with optional.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 11 Sep 2019 14:19:03 +0200
