=== debian/control ===
Source: rekall
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all,
 python3-acora,
 python3-arrow,
 python3-artifacts,
 python3-capstone,
 python3-crypto,
 python3-cryptography,
 python3-filelock,
 python3-future,
 python3-html5lib,
 python3-httplib2,
 python3-intervaltree,
 python3-ipython (>= 5.0.0),
 python3-mock,
 python3-oauth2client,
 python3-pkg-resources,
 python3-portpicker,
 python3-psutil,
 python3-pyelftools,
 python3-requests,
 python3-setuptools,
 python3-sparqlwrapper,
 python3-tsk,
 python3-wheel,
 python3-yaml,
 python3-yara
Standards-Version: 4.4.1
Homepage: http://www.rekall-forensic.com/
Vcs-Git: https://salsa.debian.org/pkg-security-team/rekall.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/rekall

Package: python3-rekall-core
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-artifacts,
 python3-pyaff4,
 python3-yaml,
 python3-acora,
 python3-arrow,
 python3-dateutil,
 python3-future,
 python3-intervaltree,
 python3-parsedatetime,
 python3-pkg-resources,
 python3-pycryptodome,
 python3-rekall-lib (= ${binary:Version}),
 python3-sparqlwrapper,
 python3-crypto,
 python3-pyelftools,
 python3-pyparsing,
 python3-tz,
 python3-psutil,
 python3-capstone,
 python3-yara,
 python3-tsk,
 cabextract
Description: memory analysis and incident response framework -- core Python modules
 This package contains Python 3 modules for rekall, a collection of
 tools for the extraction and analysis of digital artifacts computer
 systems.

Package: python3-rekall-lib
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-arrow,
 python3-crypto,
 python3-future,
 python3-six,
 python3-sortedcontainers,
 python3-yaml
Description: memory analysis and incident response framework -- lib Python modules
 The Rekall Framework is a completely open collection of tools for the
 extraction and analysis of digital artifacts computer systems.
 .
 This package contains Python 3 module for rekall-lib, a lib for rekall Python
 modules.

#Package: python3-rekall-agent
#Architecture: all
#Depends: ${python3:Depends}, ${misc:Depends},
# python3-rekall-core (= ${binary:Version}),
# python3-rekall-lib (= ${binary:Version}),
# python3-requests,
# python3-httplib2,
# python3-oauth2client,
# python3-filelock,
# python3-pathlib,
# python3-portpicker
#Description: memory analysis and incident response framework -- DFIR agent component
# The Rekall Framework is a completely open collection of tools for the
# extraction and analysis of digital artifacts computer systems.
# .
# This package contains Python 3 modules for rekall-agent.

Package: rekall-core
Architecture: all
Section: utils
Depends: ${python3:Depends}, ${misc:Depends},
 python3-rekall-core (= ${binary:Version})
Description: memory analysis and incident response framework
 The Rekall Framework is a completely open collection of tools for the
 extraction and analysis of digital artifacts computer systems.
 .
 Rekall supports investigations of the following 32bit and 64bit memory
 images:
 .
  - Microsoft Windows XP Service Pack 2 and 3
  - Microsoft Windows 7 Service Pack 0 and 1
  - Microsoft Windows 8 and 8.1
  - Microsoft Windows 10
  - Linux Kernels 2.6.24 to 4.4.
  - OSX 10.7-10.12.x.
 .
 Rekall also provides a complete memory sample acquisition capability
 for all major operating systems.
